package exos_svg;
import java.io.*;
import java.util.*;
public class InteractiveSVG{
	private Scanner scan;
	public int[]  saisirCoordonnees(){
		int[] res = new int[2];
		System.out.print("Entrez la coordonnée X: ");
		res[0] = scan.nextInt();
		System.out.print("Entrez la coordonnée Y: ");
		res[1] = scan.nextInt();
		scan.nextLine();
		return res;
	}
	public String saisirCouleur(){
		String res;
		System.out.print("Entrez la couleur que vous voulez: ");
		res = scan.nextLine();
		return res;
	}
	public int menu(){
		int res;
		System.out.println("1- Ajouter un rectangle");
		System.out.println("2- Ajouter un cercle");
		System.out.println("3- Créer l'image");
		do{
			System.out.print("Votre choix: ");
			res = scan.nextInt();
			scan.nextLine();
			if (res<1 || res>3)
				System.out.println("Choix incorrect: " + res);
		}while(res<1 || res>3);
		return res;
	}
	public void creeImage(){
		scan = new Scanner(System.in);
		// couper ici
		String svgcode = "<?xml version=\"1.0\" encoding=\"utf-8\"?>" +
				"<svg xmlns=\"http://www.w3.org/2000/svg\"" +
				"    version=\"1.1\" width=\"300\" height=\"200\">";
		int[] coord;
		String color;
		int choix;
		do{
			choix = menu();
			if (choix == 1){
				coord = saisirCoordonnees();
				color = saisirCouleur();
				svgcode = svgcode + ajouterRect(coord,color);
			}else if (choix == 2){
				coord = saisirCoordonnees();
				color = saisirCouleur();
				svgcode = svgcode + ajouterCercle(coord,color);
			}else if (choix == 3){
				sauverFichier(svgcode+"</svg>\n");
			}
		}while(choix !=3);
	}
	public  static void main(String[] args){
		InteractiveSVG isvg = new InteractiveSVG();
		isvg.creeImage();
	}
	public void sauverFichier(String content){
		boolean ok = false;
		String fn;
		System.out.print("Nom du fichier: ");
		fn = scan.nextLine();
		do{
			try{
				PrintWriter pw = new PrintWriter(fn);
				pw.print(content);
				pw.close();
				ok = true;
			}catch(FileNotFoundException ex){
				System.out.println("Nom de fichier incorrect " +
						ex.getMessage());
			}
		}while(!ok);
	}
	public String ajouterCercle(int[] coord, String col){
		String res = "<circle cx=\"" + coord[0] + "\" cy=\"" + coord[1]
				+ "\" r=\"50\" fill=\"" + col + "\" />\n";
		return res;
	}
	public String ajouterRect(int[] coord, String col){
		String res = "<rect x=\""+ coord[0] + "\" y=\"" + coord[1] +
				"\" fill=\"" + col +"\" width=\"100\" height=\"75\" />\n";
		return res;

	}


}






